%define name gtktalog
%define version 0.15.1
%define prefix %{_prefix}
%define release 1mdk

Name: %{name}
Summary: The Gnome disk catalog.
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Archiving/Other
Source0: ftp://gtktalog.sourceforge.net/pub/gtktalog/gtktalog/tgz/%{name}-%{version}.tar.bz2
Source2: %{name}.16.xpm.bz2
Source3: %{name}.32.xpm.bz2
Source4: %{name}.48.xpm.bz2
Patch0: gtktalog-0.10.1-default-no-mp3info.patch.bz2
URL: http://gtktalog.sourceforge.net
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: XFree86-devel gpm-devel libncurses-devel
Requires: mp3info tar gzip file

%description
GTKtalog is a disk catalog, it means you can use it to create a really small
database with images of files and folders of your CD-rom. So you can browse all
your CD's very quickly, see contents of certain files (tar.gz, rpm files ...).
You can give to each folder and file a category and a description. You can
search for files in your database with filename, category, description or file
information parameter, and find in which CD the file you are looking for is.

%prep
%setup -q
%patch0 -p0

%build
%configure --disable-mp3info --enable-catalog3
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Applications/Archiving/Other" title="GTKtalog" \
  longtitle="The Gnome disk catalog"
EOF

mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO BUGS Docs/README* Docs/C/gtktalog.sgml
%doc %{_datadir}/gnome/help/gtktalog/*/*
%{_bindir}/*
%{_datadir}/gtktalog
%{_menudir}/*
%{_libdir}/%{name}
%{_miconsdir}/*.xpm
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm

%changelog
* Sun Mar 18 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.15.1-1mdk
- 0.15.1

* Sun Mar 18 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.14.1-1mdk
- 0.14.1

* Sun Mar 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.13.2-1mdk
- 0.13.2 that fixes a big bug

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.13.1-1mdk
- 0.13.1

* Mon Feb 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.12.1-1mdk
- 0.12.1
- update doc section following patch by Gtz Waschk

* Sun Feb  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11.3-1mdk
- 0.11.3

* Sun Jan 21 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.1-1mdk
- 0.10.1

* Sat Jan  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Thu Dec 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Mon Dec 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1 (bugfixes)

* Wed Dec  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Thu Nov  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-3mdk
- recompile against newest libstdc++

* Tue Oct 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-2mdk
- change requires after a talk with author

* Thu Oct 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Mon Sep  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1 ..... just before distrib freeze...

* Fri Sep  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.0-3mdk
- minor changes by request of main developper Yves Mettier <ymettier@free.fr>

* Fri Sep  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.0-2mdk
- use gtktalog icon now

* Fri Sep  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.0-1mdk
- 0.3.0

* Thu Aug 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-7mdk
- fixed hardcoded-path-in-menu-icon

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-6mdk
- added a patch by Goetz Waschk <waschk@informatik.uni-rostock.de>
  to put location of the plugins in bindir

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-5mdk
- fixed url by request of software author

* Mon Aug 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-4mdk
- remove mp3info binary to please Goetz Waschk :-/

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-3mdk
- fixed %doc stuff, thanks to Goetz Waschk <waschk@informatik.uni-rostock.de>
  (/me sucks)

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-2mdk
- added catalogs, thanks to Goetz Waschk <waschk@informatik.uni-rostock.de>

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-1mdk
- automatically added packager tag
- 0.2.0

* Sat Aug 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.4-1mdk
- 0.1.4

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.0.18-3mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.18-2mdk
- BM
- macros

* Wed Jun 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.18-1mdk
- 0.0.18
- better specfile

* Wed Apr 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.17-2mdk
- added icon

* Tue Apr  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.17-1mdk
- first Mandrake package

